<?php
$tca = [
    'ctrl' => [
        'title' => 'LLL:EXT:datetimetest/Resources/Private/Language/locallang_db.xlf:tx_datetimetest_domain_model_history',
        'label' => 'time_eval',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'iconfile' => 'EXT:datetimetest/Resources/Public/Icons/tx_datetimetest_domain_model_history.gif'
    ],
    'interface' => [
        'showRecordFieldList' => 'time_eval, date_eval, date_time_eval, date_native, date_time_native',
    ],
    'types' => [
        '1' => ['showitem' => 'time_eval, date_eval, date_time_eval, date_native, date_time_native'],
    ],
    'columns' => [
        'time_eval' => [
            'exclude' => false,
            'label' => 'LLL:EXT:datetimetest/Resources/Private/Language/locallang_db.xlf:tx_datetimetest_domain_model_history.time_eval',
            'config' => [
                'type' => 'input',
                'size' => 6,
                'eval' => 'timesec',
            ]
        ],
        'date_eval' => [
            'exclude' => false,
            'label' => 'LLL:EXT:datetimetest/Resources/Private/Language/locallang_db.xlf:tx_datetimetest_domain_model_history.date_eval',
            'config' => [
                'type' => 'input',
                'size' => 7,
                'eval' => 'date',
            ],
        ],
        'date_time_eval' => [
            'exclude' => false,
            'label' => 'LLL:EXT:datetimetest/Resources/Private/Language/locallang_db.xlf:tx_datetimetest_domain_model_history.date_time_eval',
            'config' => [
                'type' => 'input',
                'size' => 12,
                'eval' => 'datetime',
            ],
        ],
        'date_native' => [
            'exclude' => false,
            'label' => 'LLL:EXT:datetimetest/Resources/Private/Language/locallang_db.xlf:tx_datetimetest_domain_model_history.date_native',
            'config' => [
                'type' => 'input',
                'size' => 7,
                'dbType' => 'date',
                'eval' => 'date',
            ],
        ],
        'date_time_native' => [
            'exclude' => false,
            'label' => 'LLL:EXT:datetimetest/Resources/Private/Language/locallang_db.xlf:tx_datetimetest_domain_model_history.date_time_native',
            'config' => [
                'type' => 'input',
                'size' => 12,
                'dbType' => 'datetime',
                'eval' => 'datetime',
            ],
        ],
    ],
];

if (version_compare(TYPO3_branch, '8.7') >= 0) {
    foreach ($tca['columns'] as &$field) {
        $field['config']['renderType'] = 'inputDateTime';
    }
}

return $tca;