<?php
namespace Reelworx\Datetimetest\Domain\Model;

/***
 *
 * This file is part of the "DateTimeTest" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2017 Markus Klein <markus.klein@typo3.org>, Core Team
 *
 ***/

/**
 * History
 */
class History extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
    /**
     * timeEval
     *
     * @var int
     */
    protected $timeEval = '';

    /**
     * dateEval
     *
     * @var \DateTime
     */
    protected $dateEval = '';

    /**
     * dateTimeEval
     *
     * @var \DateTime
     */
    protected $dateTimeEval = '';

    /**
     * dateNative
     *
     * @var \DateTime
     */
    protected $dateNative = '';

    /**
     * dateTimeNative
     *
     * @var \DateTime
     */
    protected $dateTimeNative = '';

    /**
     * Returns the timeEval
     *
     * @return int timeEval
     */
    public function getTimeEval()
    {
        return $this->timeEval;
    }

    /**
     * Sets the timeEval
     *
     * @param string $timeEval
     * @return void
     */
    public function setTimeEval($timeEval)
    {
        $this->timeEval = $timeEval;
    }

    /**
     * Returns the dateEval
     *
     * @return \DateTime dateEval
     */
    public function getDateEval()
    {
        return $this->dateEval;
    }

    /**
     * Sets the dateEval
     *
     * @param string $dateEval
     * @return void
     */
    public function setDateEval($dateEval)
    {
        $this->dateEval = $dateEval;
    }

    /**
     * Returns the dateTimeEval
     *
     * @return \DateTime dateTimeEval
     */
    public function getDateTimeEval()
    {
        return $this->dateTimeEval;
    }

    /**
     * Sets the dateTimeEval
     *
     * @param string $dateTimeEval
     * @return void
     */
    public function setDateTimeEval($dateTimeEval)
    {
        $this->dateTimeEval = $dateTimeEval;
    }

    /**
     * Returns the dateNative
     *
     * @return \DateTime dateNative
     */
    public function getDateNative()
    {
        return $this->dateNative;
    }

    /**
     * Sets the dateNative
     *
     * @param string $dateNative
     * @return void
     */
    public function setDateNative($dateNative)
    {
        $this->dateNative = $dateNative;
    }

    /**
     * Returns the dateTimeNative
     *
     * @return \DateTime dateTimeNative
     */
    public function getDateTimeNative()
    {
        return $this->dateTimeNative;
    }

    /**
     * Sets the dateTimeNative
     *
     * @param string $dateTimeNative
     * @return void
     */
    public function setDateTimeNative($dateTimeNative)
    {
        $this->dateTimeNative = $dateTimeNative;
    }
}
